Block info by UTXO id
get
/blocks/{utxoId}Get confirmed metadata for a specific pool block in the current usable synchronization view. Unconfirmed mempool projections are not included.
Path parameters
utxoIdstringrequiredId of the UTXO representing a Lithos block
Responses
200Pool block object which shows information about the given Lithos blockPoolBlock▶
utxoIdstringrequiredUTXO id of Lithos contract currently processing this block
blockIdstringrequiredHeader id associated with this block
blockHeightinteger · int32requiredHeight of this Lithos-mined block
numMinersinteger · int32requiredNumber of miners which are currently being processed by this Lithos pool contract
phasestringrequiredCurrent LFSM phase of the associated Lithos contract
404UTXO with this id doesn't existApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description
defaultErrorApiError▶
errorintegerrequiredError code
reasonstringrequiredError message explaining the reason of the error
detailstringrequirednullableDetailed error description